# Inventory

Alles rund um die Inventur

## GET /wms/inventories/{id}

> Find an existing Resource by identifier

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Inventory","description":"Alles rund um die Inventur"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/wms/inventories/{id}":{"get":{"tags":["Inventory"],"summary":"Find an existing Resource by identifier","operationId":"getById_6","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-Inventory"}}}},"404":{"description":"Resource with given ID was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-wms-Inventory":{"description":"Inventurkopf","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"number":{"type":"string","description":"Inventurnummer","readOnly":true},"label":{"type":"string","description":"Bezeichnung dieser Inventur"},"description":{"type":"string","description":"Beschreibung dieser Inventur"},"type":{"type":"string","description":"Inventurarten","enum":["INITIAL","CLOSING_DATE"]},"state":{"type":"string","description":"Status der Inventur","enum":["CREATED","OPENED","CLOSED","FINISHED","DELETED"],"readOnly":true},"deadline":{"type":"string","format":"date","description":"Stichtag der Inventur"},"currentRevision":{"type":"integer","format":"int32","description":"Aktuelle Revision der Inventur","readOnly":true},"storage":{"$ref":"#/components/schemas/erp-wms-InventoryStorage"}},"required":["deadline","label","storage","type"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-wms-InventoryStorage":{"description":"Lager in der Inventur","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"inventoryStorageAreas":{"type":"array","description":"Bestimmte Lagerbereiche des Lagers, welche dann nur gezählt werden sollen","items":{"$ref":"#/components/schemas/erp-wms-InventoryStorageArea"}},"inventoryStorageBins":{"type":"array","description":"Bestimmte Lagerplätze des Lagers, welche dann nur gezählt werden sollen","items":{"$ref":"#/components/schemas/erp-wms-InventoryStorageBin"}},"areas":{"type":"array","description":"Für diese Inventur definitierte Bereiche im Lager (zur Unterscheidung der Zähllisten","items":{"type":"string","description":"Für diese Inventur definitierte Bereiche im Lager (zur Unterscheidung der Zähllisten"}}},"required":["storageRef"]},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-wms-InventoryStorageArea":{"description":"Lagerbereich in der Inventur","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageAreaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-wms-InventoryStorageBin":{"description":"Lagerplatz in der Inventur","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## PUT /wms/inventories/{id}

> Update existing Resource&#x20;

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Inventory","description":"Alles rund um die Inventur"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/wms/inventories/{id}":{"put":{"tags":["Inventory"],"summary":"Update existing Resource ","operationId":"update_5","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-Inventory"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-Inventory"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-wms-Inventory":{"description":"Inventurkopf","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"number":{"type":"string","description":"Inventurnummer","readOnly":true},"label":{"type":"string","description":"Bezeichnung dieser Inventur"},"description":{"type":"string","description":"Beschreibung dieser Inventur"},"type":{"type":"string","description":"Inventurarten","enum":["INITIAL","CLOSING_DATE"]},"state":{"type":"string","description":"Status der Inventur","enum":["CREATED","OPENED","CLOSED","FINISHED","DELETED"],"readOnly":true},"deadline":{"type":"string","format":"date","description":"Stichtag der Inventur"},"currentRevision":{"type":"integer","format":"int32","description":"Aktuelle Revision der Inventur","readOnly":true},"storage":{"$ref":"#/components/schemas/erp-wms-InventoryStorage"}},"required":["deadline","label","storage","type"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-wms-InventoryStorage":{"description":"Lager in der Inventur","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"inventoryStorageAreas":{"type":"array","description":"Bestimmte Lagerbereiche des Lagers, welche dann nur gezählt werden sollen","items":{"$ref":"#/components/schemas/erp-wms-InventoryStorageArea"}},"inventoryStorageBins":{"type":"array","description":"Bestimmte Lagerplätze des Lagers, welche dann nur gezählt werden sollen","items":{"$ref":"#/components/schemas/erp-wms-InventoryStorageBin"}},"areas":{"type":"array","description":"Für diese Inventur definitierte Bereiche im Lager (zur Unterscheidung der Zähllisten","items":{"type":"string","description":"Für diese Inventur definitierte Bereiche im Lager (zur Unterscheidung der Zähllisten"}}},"required":["storageRef"]},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-wms-InventoryStorageArea":{"description":"Lagerbereich in der Inventur","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageAreaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-wms-InventoryStorageBin":{"description":"Lagerplatz in der Inventur","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## GET /wms/inventories/{id}/states

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Inventory","description":"Alles rund um die Inventur"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/wms/inventories/{id}/states":{"get":{"tags":["Inventory"],"operationId":"getInventoryTransitions","parameters":[{"name":"id","in":"path","description":"ID der Inventur","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-wms-InventoryTransition"}}}}}}}}},"components":{"schemas":{"erp-wms-InventoryTransition":{"description":"Inventur-Transition","properties":{"id":{"type":"integer","format":"int64","description":"ID der Transition"},"label":{"type":"string","description":"Bezeichnung der Transition"},"uiHint":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## PUT /wms/inventories/{id}/states

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Inventory","description":"Alles rund um die Inventur"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/wms/inventories/{id}/states":{"put":{"tags":["Inventory"],"operationId":"transferToState","parameters":[{"name":"id","in":"path","description":"ID der Inventur","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-InventoryStateTransitionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-Inventory"}}}}}}}},"components":{"schemas":{"erp-wms-InventoryStateTransitionRequest":{"description":"Request zur State-Transition einer Inventur","properties":{"transitionId":{"type":"integer","format":"int64","description":"ID der Transition"},"parameters":{"type":"array","description":"Zusätzliche Parameter für die Transition","items":{"$ref":"#/components/schemas/common-api-AdditionalParameter"}},"foundArticlesToBookIntoInventory":{"type":"array","description":"Nur für eine geschlossene Inventur: Liste von nachträglich gefundenen Artikeln, die noch nachgebucht werden sollen","items":{"$ref":"#/components/schemas/erp-wms-FoundArticleToBookIntoInventory"}}}},"common-api-AdditionalParameter":{"description":"Zusätzliche Parameter","properties":{"key":{"type":"string","description":"key for this parameter"},"value":{"type":"object","description":"value for this parameter"}},"required":["key"]},"erp-wms-FoundArticleToBookIntoInventory":{"description":"Gefundener Artikel der noch in eine Inventur gebucht werden soll","properties":{"articleId":{"type":"integer","format":"int64","description":"ID vom nachzubuchenden Artikel"},"storageId":{"type":"integer","format":"int64","description":"Nur ohne Lagerplätze: ID des Lagers, in dem sich der Artikel befinden soll"},"storageBinId":{"type":"integer","format":"int64","description":"Nur bei Lagern mit Lagerplätzen: ID vom Lagerplatz, auf dem sich der Artikel befinden soll"},"serialNumberId":{"type":"integer","format":"int64","description":"Ggf. die nachzubuchende Seriennummer"},"quantity":{"type":"number","description":"Zu buchende Menge"}}},"erp-wms-Inventory":{"description":"Inventurkopf","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"number":{"type":"string","description":"Inventurnummer","readOnly":true},"label":{"type":"string","description":"Bezeichnung dieser Inventur"},"description":{"type":"string","description":"Beschreibung dieser Inventur"},"type":{"type":"string","description":"Inventurarten","enum":["INITIAL","CLOSING_DATE"]},"state":{"type":"string","description":"Status der Inventur","enum":["CREATED","OPENED","CLOSED","FINISHED","DELETED"],"readOnly":true},"deadline":{"type":"string","format":"date","description":"Stichtag der Inventur"},"currentRevision":{"type":"integer","format":"int32","description":"Aktuelle Revision der Inventur","readOnly":true},"storage":{"$ref":"#/components/schemas/erp-wms-InventoryStorage"}},"required":["deadline","label","storage","type"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-wms-InventoryStorage":{"description":"Lager in der Inventur","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"inventoryStorageAreas":{"type":"array","description":"Bestimmte Lagerbereiche des Lagers, welche dann nur gezählt werden sollen","items":{"$ref":"#/components/schemas/erp-wms-InventoryStorageArea"}},"inventoryStorageBins":{"type":"array","description":"Bestimmte Lagerplätze des Lagers, welche dann nur gezählt werden sollen","items":{"$ref":"#/components/schemas/erp-wms-InventoryStorageBin"}},"areas":{"type":"array","description":"Für diese Inventur definitierte Bereiche im Lager (zur Unterscheidung der Zähllisten","items":{"type":"string","description":"Für diese Inventur definitierte Bereiche im Lager (zur Unterscheidung der Zähllisten"}}},"required":["storageRef"]},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-wms-InventoryStorageArea":{"description":"Lagerbereich in der Inventur","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageAreaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-wms-InventoryStorageBin":{"description":"Lagerplatz in der Inventur","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}}}}}
```

## GET /wms/inventories/{id}/products-without-purchase-price

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Inventory","description":"Alles rund um die Inventur"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/wms/inventories/{id}/products-without-purchase-price":{"get":{"tags":["Inventory"],"operationId":"getProductsWithoutPurchasePrice","parameters":[{"name":"id","in":"path","description":"ID der Inventur","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-wms-ArticleWithPurchasePrice"}}}}}}}}},"components":{"schemas":{"erp-wms-ArticleWithPurchasePrice":{"description":"Artikel mit Einkaufspreis","properties":{"articleId":{"type":"integer","format":"int64","description":"Artikel"},"articleNumber":{"type":"string","description":"Artikelnummer","readOnly":true},"articleName":{"type":"string","description":"Artikelname","readOnly":true},"articleDescription":{"type":"string","description":"Artikelbeschreibung","readOnly":true},"purchasePrice":{"type":"number","description":"Einkaufspreis des Artikels"}},"required":["articleId"]}}}}
```

## PUT /wms/inventories/{id}/products-without-purchase-price

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Inventory","description":"Alles rund um die Inventur"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/wms/inventories/{id}/products-without-purchase-price":{"put":{"tags":["Inventory"],"operationId":"updateProductsWithPurchasePrice","parameters":[{"name":"id","in":"path","description":"ID der Inventur","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-wms-ArticleWithPurchasePrice"}}}},"required":true},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"erp-wms-ArticleWithPurchasePrice":{"description":"Artikel mit Einkaufspreis","properties":{"articleId":{"type":"integer","format":"int64","description":"Artikel"},"articleNumber":{"type":"string","description":"Artikelnummer","readOnly":true},"articleName":{"type":"string","description":"Artikelname","readOnly":true},"articleDescription":{"type":"string","description":"Artikelbeschreibung","readOnly":true},"purchasePrice":{"type":"number","description":"Einkaufspreis des Artikels"}},"required":["articleId"]}}}}
```

## PUT /wms/inventories/{id}/countings/{inventoryCountingId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Inventory","description":"Alles rund um die Inventur"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/wms/inventories/{id}/countings/{inventoryCountingId}":{"put":{"tags":["Inventory"],"operationId":"updateInventoryCounting","parameters":[{"name":"id","in":"path","description":"ID der Inventur","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"inventoryCountingId","in":"path","description":"ID der InventoryCounting","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-InventoryCounting"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-InventoryCounting"}}}}}}}},"components":{"schemas":{"erp-wms-InventoryCounting":{"description":"Position der Zähllisten der Inventur","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"inventoryId":{"type":"integer","format":"int64","description":"Inventur"},"articleId":{"type":"integer","format":"int64","description":"Artikel"},"articleNumber":{"type":"string","description":"Artikelnummer","readOnly":true},"articleName":{"type":"string","description":"Artikelname","readOnly":true},"articleDescription":{"type":"string","description":"Artikelbeschreibung","readOnly":true},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"storageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumberRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"areaToCount":{"type":"string","description":"Bereich im Lager"},"quantity":{"type":"number","description":"Gezählte Menge"},"revision":{"type":"integer","format":"int32","description":"Revision der Zählung","readOnly":true},"createdByFoundArticle":{"type":"boolean","description":"Wurde diese Zählung durch einen nachträglich gefundenen Artikel erzeugt?","readOnly":true}},"required":["articleId","inventoryId","quantity"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]}}}}
```

## DELETE /wms/inventories/{id}/countings/{inventoryCountingId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Inventory","description":"Alles rund um die Inventur"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/wms/inventories/{id}/countings/{inventoryCountingId}":{"delete":{"tags":["Inventory"],"operationId":"deleteInventoryCounting","parameters":[{"name":"id","in":"path","description":"ID der Inventur","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"inventoryCountingId","in":"path","description":"ID der InventoryCounting","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## POST /wms/inventories

> Create new Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Inventory","description":"Alles rund um die Inventur"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/wms/inventories":{"post":{"tags":["Inventory"],"summary":"Create new Resource","operationId":"create_4","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-Inventory"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-Inventory"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-wms-Inventory":{"description":"Inventurkopf","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"number":{"type":"string","description":"Inventurnummer","readOnly":true},"label":{"type":"string","description":"Bezeichnung dieser Inventur"},"description":{"type":"string","description":"Beschreibung dieser Inventur"},"type":{"type":"string","description":"Inventurarten","enum":["INITIAL","CLOSING_DATE"]},"state":{"type":"string","description":"Status der Inventur","enum":["CREATED","OPENED","CLOSED","FINISHED","DELETED"],"readOnly":true},"deadline":{"type":"string","format":"date","description":"Stichtag der Inventur"},"currentRevision":{"type":"integer","format":"int32","description":"Aktuelle Revision der Inventur","readOnly":true},"storage":{"$ref":"#/components/schemas/erp-wms-InventoryStorage"}},"required":["deadline","label","storage","type"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-wms-InventoryStorage":{"description":"Lager in der Inventur","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"inventoryStorageAreas":{"type":"array","description":"Bestimmte Lagerbereiche des Lagers, welche dann nur gezählt werden sollen","items":{"$ref":"#/components/schemas/erp-wms-InventoryStorageArea"}},"inventoryStorageBins":{"type":"array","description":"Bestimmte Lagerplätze des Lagers, welche dann nur gezählt werden sollen","items":{"$ref":"#/components/schemas/erp-wms-InventoryStorageBin"}},"areas":{"type":"array","description":"Für diese Inventur definitierte Bereiche im Lager (zur Unterscheidung der Zähllisten","items":{"type":"string","description":"Für diese Inventur definitierte Bereiche im Lager (zur Unterscheidung der Zähllisten"}}},"required":["storageRef"]},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-wms-InventoryStorageArea":{"description":"Lagerbereich in der Inventur","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageAreaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-wms-InventoryStorageBin":{"description":"Lagerplatz in der Inventur","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## POST /wms/inventories/{id}/removeStorageBins

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Inventory","description":"Alles rund um die Inventur"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/wms/inventories/{id}/removeStorageBins":{"post":{"tags":["Inventory"],"operationId":"removeStorageBinsToInventory","parameters":[{"name":"id","in":"path","description":"ID der Inventur","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-StorageBinSelectionApi"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-Inventory"}}}}}}}},"components":{"schemas":{"erp-stock-StorageBinSelectionApi":{"description":"Selektionskriterien zur Ermittlung von Lagerplätzen","properties":{"pageable":{"$ref":"#/components/schemas/core-api-QueryPageableApi"},"storageId":{"type":"integer","format":"int64","description":"Lager zu dem ein Lagerplatz gehört"},"storageAreaId":{"type":"integer","format":"int64","description":"Lagerbereich zu dem ein Lagerplatz gehört"},"onlyWithoutStorageArea":{"type":"boolean","default":false,"description":"Nur Lagerplätze ohne Lagerbereich"},"defaultBin":{"type":"boolean","default":false,"description":"Standard-Lagerplatz eines Lagers (nur relevant für Lager ohne Lagerplätze"},"level1":{"type":"string","description":"Ebene1"},"level2":{"type":"string","description":"Ebene2"},"level3":{"type":"string","description":"Ebene3"},"level4":{"type":"string","description":"Ebene4"},"level5":{"type":"string","description":"Ebene5"},"level6":{"type":"string","description":"Ebene6"},"shelfSpace":{"type":"boolean","default":false,"description":"Normaler Regalplatz?"},"forIncomingGoods":{"type":"boolean","default":false,"description":"Für Wareneingang?"},"palletSpace":{"type":"boolean","default":false,"description":"Für Paletten/Nachschubmengen?"},"clarifySpace":{"type":"boolean","default":false,"description":"Zur Klärung?"},"forReturnedGoods":{"type":"boolean","default":false,"description":"Für Retouren?"},"useInAvailabilityDetermination":{"type":"boolean","default":false,"description":"Soll der Lagerplatz in der Ermittlung der verfügbaren Mengen beachtet werden?"},"state":{"type":"string","description":"Status eines Lagerplatzes","enum":["ACTIVE","INACTIVE","SUSPENDED","BLOCKED_FOR_INVENTORY"]},"maxAllowedWeight":{"$ref":"#/components/schemas/erp-stock-StorageBinSelectionApi.Range"},"heightInCM":{"$ref":"#/components/schemas/erp-stock-StorageBinSelectionApi.Range"},"widthInCM":{"$ref":"#/components/schemas/erp-stock-StorageBinSelectionApi.Range"},"depthInCM":{"$ref":"#/components/schemas/erp-stock-StorageBinSelectionApi.Range"}}},"core-api-QueryPageableApi":{"description":"Paging","properties":{"sort":{"type":"string","description":"Liste an Feldern zur Sortierung (komma-getrennt)"},"_start":{"type":"integer","format":"int32","description":"Start-Offset"},"_limit":{"type":"integer","format":"int32","description":"Ergebnis-Limit"},"_order":{"type":"string","description":"Sortierart der Felder (asc/desc, Liste, komma-getrennt)"}}},"erp-stock-StorageBinSelectionApi.Range":{"description":"Selektionsbereich von/bis","properties":{"from":{"type":"number"},"to":{"type":"number"}}},"erp-wms-Inventory":{"description":"Inventurkopf","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"number":{"type":"string","description":"Inventurnummer","readOnly":true},"label":{"type":"string","description":"Bezeichnung dieser Inventur"},"description":{"type":"string","description":"Beschreibung dieser Inventur"},"type":{"type":"string","description":"Inventurarten","enum":["INITIAL","CLOSING_DATE"]},"state":{"type":"string","description":"Status der Inventur","enum":["CREATED","OPENED","CLOSED","FINISHED","DELETED"],"readOnly":true},"deadline":{"type":"string","format":"date","description":"Stichtag der Inventur"},"currentRevision":{"type":"integer","format":"int32","description":"Aktuelle Revision der Inventur","readOnly":true},"storage":{"$ref":"#/components/schemas/erp-wms-InventoryStorage"}},"required":["deadline","label","storage","type"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-wms-InventoryStorage":{"description":"Lager in der Inventur","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"inventoryStorageAreas":{"type":"array","description":"Bestimmte Lagerbereiche des Lagers, welche dann nur gezählt werden sollen","items":{"$ref":"#/components/schemas/erp-wms-InventoryStorageArea"}},"inventoryStorageBins":{"type":"array","description":"Bestimmte Lagerplätze des Lagers, welche dann nur gezählt werden sollen","items":{"$ref":"#/components/schemas/erp-wms-InventoryStorageBin"}},"areas":{"type":"array","description":"Für diese Inventur definitierte Bereiche im Lager (zur Unterscheidung der Zähllisten","items":{"type":"string","description":"Für diese Inventur definitierte Bereiche im Lager (zur Unterscheidung der Zähllisten"}}},"required":["storageRef"]},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-wms-InventoryStorageArea":{"description":"Lagerbereich in der Inventur","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageAreaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-wms-InventoryStorageBin":{"description":"Lagerplatz in der Inventur","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}}}}}
```

## POST /wms/inventories/{id}/redo-countings

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Inventory","description":"Alles rund um die Inventur"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/wms/inventories/{id}/redo-countings":{"post":{"tags":["Inventory"],"operationId":"redoCountings","parameters":[{"name":"id","in":"path","description":"ID der Inventur","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"allPositions","in":"query","required":false,"schema":{"type":"boolean","default":true}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-wms-InventoryCounting"}}}}}}}}},"components":{"schemas":{"erp-wms-InventoryCounting":{"description":"Position der Zähllisten der Inventur","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"inventoryId":{"type":"integer","format":"int64","description":"Inventur"},"articleId":{"type":"integer","format":"int64","description":"Artikel"},"articleNumber":{"type":"string","description":"Artikelnummer","readOnly":true},"articleName":{"type":"string","description":"Artikelname","readOnly":true},"articleDescription":{"type":"string","description":"Artikelbeschreibung","readOnly":true},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"storageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumberRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"areaToCount":{"type":"string","description":"Bereich im Lager"},"quantity":{"type":"number","description":"Gezählte Menge"},"revision":{"type":"integer","format":"int32","description":"Revision der Zählung","readOnly":true},"createdByFoundArticle":{"type":"boolean","description":"Wurde diese Zählung durch einen nachträglich gefundenen Artikel erzeugt?","readOnly":true}},"required":["articleId","inventoryId","quantity"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]}}}}
```

## POST /wms/inventories/{id}/generate-countings

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Inventory","description":"Alles rund um die Inventur"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/wms/inventories/{id}/generate-countings":{"post":{"tags":["Inventory"],"operationId":"generateCountings","parameters":[{"name":"id","in":"path","description":"ID der Inventur","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"onlyArticlesWithStock","in":"query","required":false,"schema":{"type":"boolean","default":true}},{"name":"articlesThatWereOnceInStock","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"inactiveArticles","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-wms-InventoryCounting"}}}}}}}}},"components":{"schemas":{"erp-wms-InventoryCounting":{"description":"Position der Zähllisten der Inventur","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"inventoryId":{"type":"integer","format":"int64","description":"Inventur"},"articleId":{"type":"integer","format":"int64","description":"Artikel"},"articleNumber":{"type":"string","description":"Artikelnummer","readOnly":true},"articleName":{"type":"string","description":"Artikelname","readOnly":true},"articleDescription":{"type":"string","description":"Artikelbeschreibung","readOnly":true},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"storageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumberRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"areaToCount":{"type":"string","description":"Bereich im Lager"},"quantity":{"type":"number","description":"Gezählte Menge"},"revision":{"type":"integer","format":"int32","description":"Revision der Zählung","readOnly":true},"createdByFoundArticle":{"type":"boolean","description":"Wurde diese Zählung durch einen nachträglich gefundenen Artikel erzeugt?","readOnly":true}},"required":["articleId","inventoryId","quantity"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]}}}}
```

## GET /wms/inventories/{id}/countings

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Inventory","description":"Alles rund um die Inventur"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/wms/inventories/{id}/countings":{"get":{"tags":["Inventory"],"operationId":"getInventoryCountings","parameters":[{"name":"id","in":"path","description":"ID der Inventur","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"revision","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-wms-InventoryCounting"}}}}}}}}},"components":{"schemas":{"erp-wms-InventoryCounting":{"description":"Position der Zähllisten der Inventur","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"inventoryId":{"type":"integer","format":"int64","description":"Inventur"},"articleId":{"type":"integer","format":"int64","description":"Artikel"},"articleNumber":{"type":"string","description":"Artikelnummer","readOnly":true},"articleName":{"type":"string","description":"Artikelname","readOnly":true},"articleDescription":{"type":"string","description":"Artikelbeschreibung","readOnly":true},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"storageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumberRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"areaToCount":{"type":"string","description":"Bereich im Lager"},"quantity":{"type":"number","description":"Gezählte Menge"},"revision":{"type":"integer","format":"int32","description":"Revision der Zählung","readOnly":true},"createdByFoundArticle":{"type":"boolean","description":"Wurde diese Zählung durch einen nachträglich gefundenen Artikel erzeugt?","readOnly":true}},"required":["articleId","inventoryId","quantity"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]}}}}
```

## POST /wms/inventories/{id}/countings

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Inventory","description":"Alles rund um die Inventur"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/wms/inventories/{id}/countings":{"post":{"tags":["Inventory"],"operationId":"createInventoryCounting","parameters":[{"name":"id","in":"path","description":"ID der Inventur","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-InventoryCounting"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-InventoryCounting"}}}}}}}},"components":{"schemas":{"erp-wms-InventoryCounting":{"description":"Position der Zähllisten der Inventur","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"inventoryId":{"type":"integer","format":"int64","description":"Inventur"},"articleId":{"type":"integer","format":"int64","description":"Artikel"},"articleNumber":{"type":"string","description":"Artikelnummer","readOnly":true},"articleName":{"type":"string","description":"Artikelname","readOnly":true},"articleDescription":{"type":"string","description":"Artikelbeschreibung","readOnly":true},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"storageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumberRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"areaToCount":{"type":"string","description":"Bereich im Lager"},"quantity":{"type":"number","description":"Gezählte Menge"},"revision":{"type":"integer","format":"int32","description":"Revision der Zählung","readOnly":true},"createdByFoundArticle":{"type":"boolean","description":"Wurde diese Zählung durch einen nachträglich gefundenen Artikel erzeugt?","readOnly":true}},"required":["articleId","inventoryId","quantity"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]}}}}
```

## POST /wms/inventories/{id}/addStorageBins

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Inventory","description":"Alles rund um die Inventur"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/wms/inventories/{id}/addStorageBins":{"post":{"tags":["Inventory"],"operationId":"addStorageBinsToInventory","parameters":[{"name":"id","in":"path","description":"ID der Inventur","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-StorageBinSelectionApi"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-Inventory"}}}}}}}},"components":{"schemas":{"erp-stock-StorageBinSelectionApi":{"description":"Selektionskriterien zur Ermittlung von Lagerplätzen","properties":{"pageable":{"$ref":"#/components/schemas/core-api-QueryPageableApi"},"storageId":{"type":"integer","format":"int64","description":"Lager zu dem ein Lagerplatz gehört"},"storageAreaId":{"type":"integer","format":"int64","description":"Lagerbereich zu dem ein Lagerplatz gehört"},"onlyWithoutStorageArea":{"type":"boolean","default":false,"description":"Nur Lagerplätze ohne Lagerbereich"},"defaultBin":{"type":"boolean","default":false,"description":"Standard-Lagerplatz eines Lagers (nur relevant für Lager ohne Lagerplätze"},"level1":{"type":"string","description":"Ebene1"},"level2":{"type":"string","description":"Ebene2"},"level3":{"type":"string","description":"Ebene3"},"level4":{"type":"string","description":"Ebene4"},"level5":{"type":"string","description":"Ebene5"},"level6":{"type":"string","description":"Ebene6"},"shelfSpace":{"type":"boolean","default":false,"description":"Normaler Regalplatz?"},"forIncomingGoods":{"type":"boolean","default":false,"description":"Für Wareneingang?"},"palletSpace":{"type":"boolean","default":false,"description":"Für Paletten/Nachschubmengen?"},"clarifySpace":{"type":"boolean","default":false,"description":"Zur Klärung?"},"forReturnedGoods":{"type":"boolean","default":false,"description":"Für Retouren?"},"useInAvailabilityDetermination":{"type":"boolean","default":false,"description":"Soll der Lagerplatz in der Ermittlung der verfügbaren Mengen beachtet werden?"},"state":{"type":"string","description":"Status eines Lagerplatzes","enum":["ACTIVE","INACTIVE","SUSPENDED","BLOCKED_FOR_INVENTORY"]},"maxAllowedWeight":{"$ref":"#/components/schemas/erp-stock-StorageBinSelectionApi.Range"},"heightInCM":{"$ref":"#/components/schemas/erp-stock-StorageBinSelectionApi.Range"},"widthInCM":{"$ref":"#/components/schemas/erp-stock-StorageBinSelectionApi.Range"},"depthInCM":{"$ref":"#/components/schemas/erp-stock-StorageBinSelectionApi.Range"}}},"core-api-QueryPageableApi":{"description":"Paging","properties":{"sort":{"type":"string","description":"Liste an Feldern zur Sortierung (komma-getrennt)"},"_start":{"type":"integer","format":"int32","description":"Start-Offset"},"_limit":{"type":"integer","format":"int32","description":"Ergebnis-Limit"},"_order":{"type":"string","description":"Sortierart der Felder (asc/desc, Liste, komma-getrennt)"}}},"erp-stock-StorageBinSelectionApi.Range":{"description":"Selektionsbereich von/bis","properties":{"from":{"type":"number"},"to":{"type":"number"}}},"erp-wms-Inventory":{"description":"Inventurkopf","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"number":{"type":"string","description":"Inventurnummer","readOnly":true},"label":{"type":"string","description":"Bezeichnung dieser Inventur"},"description":{"type":"string","description":"Beschreibung dieser Inventur"},"type":{"type":"string","description":"Inventurarten","enum":["INITIAL","CLOSING_DATE"]},"state":{"type":"string","description":"Status der Inventur","enum":["CREATED","OPENED","CLOSED","FINISHED","DELETED"],"readOnly":true},"deadline":{"type":"string","format":"date","description":"Stichtag der Inventur"},"currentRevision":{"type":"integer","format":"int32","description":"Aktuelle Revision der Inventur","readOnly":true},"storage":{"$ref":"#/components/schemas/erp-wms-InventoryStorage"}},"required":["deadline","label","storage","type"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-wms-InventoryStorage":{"description":"Lager in der Inventur","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"inventoryStorageAreas":{"type":"array","description":"Bestimmte Lagerbereiche des Lagers, welche dann nur gezählt werden sollen","items":{"$ref":"#/components/schemas/erp-wms-InventoryStorageArea"}},"inventoryStorageBins":{"type":"array","description":"Bestimmte Lagerplätze des Lagers, welche dann nur gezählt werden sollen","items":{"$ref":"#/components/schemas/erp-wms-InventoryStorageBin"}},"areas":{"type":"array","description":"Für diese Inventur definitierte Bereiche im Lager (zur Unterscheidung der Zähllisten","items":{"type":"string","description":"Für diese Inventur definitierte Bereiche im Lager (zur Unterscheidung der Zähllisten"}}},"required":["storageRef"]},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-wms-InventoryStorageArea":{"description":"Lagerbereich in der Inventur","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageAreaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-wms-InventoryStorageBin":{"description":"Lagerplatz in der Inventur","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}}}}}
```

## POST /wms/inventories/process-input

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Inventory","description":"Alles rund um die Inventur"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/wms/inventories/process-input":{"post":{"tags":["Inventory"],"operationId":"processInput_2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-InventoryProcessingRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-InventoryProcessingResponse"}}}}}}}},"components":{"schemas":{"erp-wms-InventoryProcessingRequest":{"properties":{"inputData":{"type":"string","description":"Benutzereingabe/Scan"},"inventoryId":{"type":"integer","format":"int64","description":"ID der aktuellen Inventur"},"areaToCount":{"type":"string","description":"Aktueller Inventurzählbereich"},"processedCountingIds":{"type":"array","description":"IDs der aktuell erfasstem Zähllisten-Positionen zu einer Inventur","items":{"type":"integer","format":"int64","description":"IDs der aktuell erfasstem Zähllisten-Positionen zu einer Inventur"}},"lastProcessedCountingId":{"type":"integer","format":"int64","description":"ID der letzten verarbeiteten Position einer Zählliste zur Inventur"},"storageBinId":{"type":"integer","format":"int64","description":"ID vom aktueller Lagerplatz"},"articleId":{"type":"integer","format":"int64","description":"ID vom aktuellen Artikel"},"serialNumberId":{"type":"integer","format":"int64","description":"ID der aktuellen Seriennummer/Charge"},"manualQuantityChange":{"type":"number","description":"Manuelle Mengenänderung"},"absoluteManualQuantityChange":{"type":"boolean"}}},"erp-wms-InventoryProcessingResponse":{"properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"inventory":{"$ref":"#/components/schemas/erp-wms-Inventory"},"areaToCount":{"type":"string","description":"Zu zählender Inventurzählbereich"},"inventoryCountings":{"type":"array","description":"Aktuell erfasste Zähllisten-Positionen zu einer Inventur","items":{"$ref":"#/components/schemas/erp-wms-InventoryCounting"}},"lastProcessedCountingId":{"type":"integer","format":"int64","description":"ID der letzten verarbeitete Position der Zählliste"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"storageBinRef":{"$ref":"#/components/schemas/erp-stock-StorageBinRef"}}},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"erp-wms-Inventory":{"description":"Inventurkopf","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"number":{"type":"string","description":"Inventurnummer","readOnly":true},"label":{"type":"string","description":"Bezeichnung dieser Inventur"},"description":{"type":"string","description":"Beschreibung dieser Inventur"},"type":{"type":"string","description":"Inventurarten","enum":["INITIAL","CLOSING_DATE"]},"state":{"type":"string","description":"Status der Inventur","enum":["CREATED","OPENED","CLOSED","FINISHED","DELETED"],"readOnly":true},"deadline":{"type":"string","format":"date","description":"Stichtag der Inventur"},"currentRevision":{"type":"integer","format":"int32","description":"Aktuelle Revision der Inventur","readOnly":true},"storage":{"$ref":"#/components/schemas/erp-wms-InventoryStorage"}},"required":["deadline","label","storage","type"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-wms-InventoryStorage":{"description":"Lager in der Inventur","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"inventoryStorageAreas":{"type":"array","description":"Bestimmte Lagerbereiche des Lagers, welche dann nur gezählt werden sollen","items":{"$ref":"#/components/schemas/erp-wms-InventoryStorageArea"}},"inventoryStorageBins":{"type":"array","description":"Bestimmte Lagerplätze des Lagers, welche dann nur gezählt werden sollen","items":{"$ref":"#/components/schemas/erp-wms-InventoryStorageBin"}},"areas":{"type":"array","description":"Für diese Inventur definitierte Bereiche im Lager (zur Unterscheidung der Zähllisten","items":{"type":"string","description":"Für diese Inventur definitierte Bereiche im Lager (zur Unterscheidung der Zähllisten"}}},"required":["storageRef"]},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-wms-InventoryStorageArea":{"description":"Lagerbereich in der Inventur","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageAreaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-wms-InventoryStorageBin":{"description":"Lagerplatz in der Inventur","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-wms-InventoryCounting":{"description":"Position der Zähllisten der Inventur","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"inventoryId":{"type":"integer","format":"int64","description":"Inventur"},"articleId":{"type":"integer","format":"int64","description":"Artikel"},"articleNumber":{"type":"string","description":"Artikelnummer","readOnly":true},"articleName":{"type":"string","description":"Artikelname","readOnly":true},"articleDescription":{"type":"string","description":"Artikelbeschreibung","readOnly":true},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"storageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumberRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"areaToCount":{"type":"string","description":"Bereich im Lager"},"quantity":{"type":"number","description":"Gezählte Menge"},"revision":{"type":"integer","format":"int32","description":"Revision der Zählung","readOnly":true},"createdByFoundArticle":{"type":"boolean","description":"Wurde diese Zählung durch einen nachträglich gefundenen Artikel erzeugt?","readOnly":true}},"required":["articleId","inventoryId","quantity"]},"erp-stock-StorageBinRef":{"description":"Lagerplatz","properties":{"id":{"type":"integer","format":"int64","description":"ID"},"displayName":{"type":"string","description":"Anzeigename"},"color":{"type":"string","description":"Anzeigefarbe"},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}}}}}
```

## GET /wms/inventories/{id}/differences

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Inventory","description":"Alles rund um die Inventur"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/wms/inventories/{id}/differences":{"get":{"tags":["Inventory"],"operationId":"getInventoryDifferences","parameters":[{"name":"id","in":"path","description":"ID der Inventur","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-wms-InventoryDifference"}}}}}}}}},"components":{"schemas":{"erp-wms-InventoryDifference":{"description":"Position der Differenzlisten der Inventur","properties":{"inventoryId":{"type":"integer","format":"int64","description":"Inventur"},"articleId":{"type":"integer","format":"int64","description":"Artikel"},"articleNumber":{"type":"string","description":"Artikelnummer","readOnly":true},"articleName":{"type":"string","description":"Artikelname","readOnly":true},"articleDescription":{"type":"string","description":"Artikelbeschreibung","readOnly":true},"storageBinId":{"type":"integer","format":"int64","description":"Lagerplatz, welcher gezählt wurde"},"storageBinDisplayName":{"type":"string","description":"Anzeigename vom Lagerplatz, welcher gezählt wurde","readOnly":true},"serialNumberRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"purchasePrice":{"type":"number","description":"EK"},"averagePurchasePrice":{"type":"number","description":"DEK"},"targetStock":{"type":"number","description":"Soll-Bestand"},"actualStock":{"type":"number","description":"Ist-Bestand"},"diffStock":{"type":"number","description":"Bestand: Soll-Ist-Differenz"},"targetValue":{"type":"number","description":"Soll-Wert"},"actualValue":{"type":"number","description":"Ist-Wert"},"diffValue":{"type":"number","description":"Wert: Soll-Ist-Differenz"},"targetAverage":{"type":"number","description":"Soll-Durchschnittswert"},"actualAverage":{"type":"number","description":"Ist-Durchschnittswert"},"diffAverage":{"type":"number","description":"Durchschnittswert: Soll-Ist-Differenz"},"revision":{"type":"integer","format":"int32","description":"Revision der Zählung","readOnly":true}},"required":["articleId","inventoryId","storageBinId"]},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.vario-software.de/api-reference/inventory.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
